Java

First you need a copy of Java. All the Android development tools require it, and programs you write will be using the Java language. JDK 5 or 6 is required.

It's not enough to just have a runtime environment (JRE); you need the full development kit. I recommend getting the latest Sun JDK SE 6.0

update from the Sun download site.1 The 32-bit version seems to work best (see the "32-bit vs. 64-bit" sidebar). Mac OS X users should get the latest version of Mac OS X and the JDK from the Apple website.

To verify you have the right version, run this command from your shell window. Here's what I get when I run it:

C:\> java -version java version "1.6.0_14"

Java(TM) SE Runtime Environment (build 1.6.0_14-b08)

Java HotSpot(TM) Client VM (build 14.0-b16, mixed mode, sharing)

You should see something similar, with version "1.6.something" or later.

0 0

Post a comment